<app-navigation></app-navigation>
<div class="favourite-container">
  <div class="all-weather-container" *ngIf="favourites && favourites.length > 0">
    <mat-card class="all-weather" *ngFor="let data of favourites">
      <mat-card-header>
        <div mat-card-avatar class="header-image"></div>
        <mat-card-title>{{data.city}}</mat-card-title>
        <mat-card-subtitle>{{data.country}}</mat-card-subtitle>
      </mat-card-header>
      <mat-card-content class="weather-card-container" *ngIf="data.forecast">
        <div class="weather-card-date-container">
          <p>{{data.forecast.day}}</p>
          <p>{{data.forecast.date}}</p>
        </div>
        <div class="weather-card-description-container">
          <p>Condition: {{data.forecast.description}}</p>
        </div>
        <div class="weather-card-temperature-container">
          <div class="weather-maximum">
            <p>{{data.forecast.temperature.maximum}}&deg;</p>
          </div>
          <div class="weather-minimum">
            <p>{{data.forecast.temperature.minimum}}&deg;</p>
          </div>
        </div>
      </mat-card-content>
      <mat-card-actions>
        <div class="weather-actions">
          <mat-icon matSuffix color="primary">star</mat-icon>
          <p (click)="removeFavourite(data)" class="link-hover-cursor">
            Unfavourite
          </p>
        </div>
      </mat-card-actions>
    </mat-card>
  </div>
</div>
